package fyloz.trial.ColorRecipesExplorer.dao;

import fyloz.trial.ColorRecipesExplorer.model.Company;
import fyloz.trial.ColorRecipesExplorer.model.Recipe;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface RecipeDao extends JpaRepository<Recipe, Integer> {

    List<Recipe> findAllByCompany(Company company);

    Recipe findByRecipeCode(String recipeCode);

    Recipe findByRecipeID(int recipeID);
}
